Index: src/hg/makeDb/doc/ailMel1.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/ailMel1.txt,v
retrieving revision 1.6
retrieving revision 1.7
diff -b -B -U 4 -r1.6 -r1.7
--- src/hg/makeDb/doc/ailMel1.txt	30 Mar 2010 21:15:30 -0000	1.6
+++ src/hg/makeDb/doc/ailMel1.txt	7 Apr 2010 17:42:02 -0000	1.7
@@ -311,4 +311,49 @@
     cat fb.ailMel1.chainFelCatV17eLink.txt
     # 1507273252 bases of 2245312831 (67.130%) in intersection
 
 #########################################################################
+# all.joiner update, downloads and in pushQ - (DONE - 2010-04-01 - Hiram)
+    cd $HOME/kent/src/hg/makeDb/schema
+    # fixup all.joiner until this is a clean output
+    joinerCheck -database=ailMel1 -all all.joiner
+
+    mkdir /hive/data/genomes/ailMel1/goldenPath
+    cd /hive/data/genomes/ailMel1/goldenPath
+    makeDownloads.pl ailMel1 > do.log 2>&1
+
+    #	now ready for pushQ entry
+    mkdir /hive/data/genomes/ailMel1/pushQ
+    cd /hive/data/genomes/ailMel1/pushQ
+    makePushQSql.pl ailMel1 > ailMel1.pushQ.sql 2> stderr.out
+    #	check for errors in stderr.out, some are OK, e.g.:
+# WARNING: ailMel1 does not have seq
+# WARNING: ailMel1 does not have extFile
+
+# WARNING: Could not tell (from trackDb, all.joiner and hardcoded lists of
+# supporting and genbank tables) which tracks to assign these tables to:
+#  bosTau4ChainPileUp
+
+    #	copy it to hgwbeta
+    scp -p ailMel1.pushQ.sql hgwbeta:/tmp
+    ssh hgwbeta
+    cd /tmp
+    hgsql qapushq < ailMel1.pushQ.sql
+    #	in that pushQ entry walk through each entry and see if the
+    #	sizes will set properly
+
+############################################################################
+# Marking *all* gaps - they are not all in the AGP file
+#	(DONE - 2010-03-25 - Hiram)
+    mkdir /hive/data/genomes/ailMel1/bed/allGaps
+    cd /hive/data/genomes/ailMel1/bed/allGaps
+    time nice -n +19 findMotif -motif=gattaca -verbose=4 \
+	-strand=+ ../../ailMel1.2bit > findMotif.txt 2>&1
+    #	real    1m12.153s
+    grep "^#GAP " findMotif.txt | sed -e "s/^#GAP //" > allGaps.bed
+    featureBits ailMel1 -not gap -bed=notGap.bed
+    #	2245312831 bases of 2245312831 (100.000%) in intersection
+    featureBits ailMel1 allGaps.bed notGap.bed -bed=new.gaps.bed
+    #	0 bases of 2245312831 (0.000%) in intersection
+    #	no new gaps
+
+#########################################################################