Index: src/hg/makeDb/doc/ailMel1.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/ailMel1.txt,v
retrieving revision 1.7
retrieving revision 1.8
diff -b -B -U 4 -r1.7 -r1.8
--- src/hg/makeDb/doc/ailMel1.txt	7 Apr 2010 17:42:02 -0000	1.7
+++ src/hg/makeDb/doc/ailMel1.txt	7 Apr 2010 17:52:44 -0000	1.8
@@ -353,7 +353,8 @@
     featureBits ailMel1 -not gap -bed=notGap.bed
     #	2245312831 bases of 2245312831 (100.000%) in intersection
     featureBits ailMel1 allGaps.bed notGap.bed -bed=new.gaps.bed
     #	0 bases of 2245312831 (0.000%) in intersection
+    #	real    84m58.382s
     #	no new gaps
 
 #########################################################################