Index: src/hg/makeDb/doc/ailMel1.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/ailMel1.txt,v
retrieving revision 1.8
retrieving revision 1.9
diff -b -B -U 4 -r1.8 -r1.9
--- src/hg/makeDb/doc/ailMel1.txt	7 Apr 2010 17:52:44 -0000	1.8
+++ src/hg/makeDb/doc/ailMel1.txt	12 Apr 2010 19:27:04 -0000	1.9
@@ -173,16 +173,16 @@
     ssh genbank
     screen  # control this business with a screen since it takes a while
     cd /cluster/data/genbank
     time nice -n +19 bin/gbAlignStep -initial  ailMel1 &
-    #	var/build/logs/2010.02.03-11:16:16.ailMel1.initalign.log
-    #	real    326m58.232s
+    #	real    652m27.871s
+    #	var/build/logs/2010.04.09-15:37:11.ailMel1.initalign.log
 
     ssh hgwdev
     cd /cluster/data/genbank
     time ./bin/gbDbLoadStep -drop -initialLoad ailMel1 &
-    #	logFile: var/dbload/hgwdev/logs/2010.02.04-11:12:16.dbload.log
-    #	real    34m59.832s
+    #	logFile: var/dbload/hgwdev/logs/2010.04.12-10:13:40.dbload.log
+    #	real    30m57.886s
 
     # enable daily alignment and update of hgwdev
     cd ~/kent/src/hg/makeDb/genbank
     cvsup