Index: src/hg/makeDb/doc/encodeHg18.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/encodeHg18.txt,v
retrieving revision 1.32
retrieving revision 1.33
diff -b -B -U 4 -r1.32 -r1.33
--- src/hg/makeDb/doc/encodeHg18.txt	10 Mar 2010 21:18:36 -0000	1.32
+++ src/hg/makeDb/doc/encodeHg18.txt	8 Apr 2010 04:39:11 -0000	1.33
@@ -1241,4 +1241,16 @@
 # sequence k-mers of 36,40,50,75 and 100 nucleotides. 
 # The data was provided by an ENCODE lab (Guigo lab at CRG) but the data
 # production was only partially funded by ENCODE so no metadata was added
 # to trackDb for this track.   
+
+
+#############################################################################
+# encodeGencodeGeneKnownMar07  (2010-04-07 markd)
+# Was discovered to be corrupted on hgwdev and all servers
+# 
+
+    cd /cluster/data/encode/convertHg18/genePred
+    genePredCheck -db=hg18 encodeGencodeGeneKnownMar07.tab 
+    checked: 2991 failed: 0
+    hgLoadGenePred -genePredExt hg18 encodeGencodeGeneKnownMar07 encodeGencodeGeneKnownMar07.tab
+    genePredCheck -db=hg18 encodeGencodeGeneKnownMar07