Index: src/hg/makeDb/doc/felCatV17e.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/felCatV17e.txt,v
retrieving revision 1.7
retrieving revision 1.8
diff -b -B -U 4 -r1.7 -r1.8
--- src/hg/makeDb/doc/felCatV17e.txt	1 Apr 2010 16:37:14 -0000	1.7
+++ src/hg/makeDb/doc/felCatV17e.txt	9 Apr 2010 18:41:24 -0000	1.8
@@ -39,9 +39,9 @@
     zcat ${S}/AGP/chr${C}.agp.gz \
         | sed -e "s/^${ACC}/chr${C}/" | gzip > ucscChr/chr${C}.agp.gz
 done
 
-# use compenet instead 
+# use component instead 
 S=Primary_Assembly/assembled_chromosomes
 cut -f1 ${S}/chr2acc  | while read C
 do
     ACC=`grep "${C}" ${S}/chr2acc | cut -f2`
@@ -175,8 +175,15 @@
     # 500126 fragment
     #	1 type
 
 mv felCatV17e.comp.agp felCatV17e.agp
+##########################################################################
+# fixed up the html files (working - 2010-04-06 Chin)
+
+   #  per instructions at end of makeGenomeDb.log, edit the html file
+   #  and checkin the *.ra and *.html files.
+   cd  /cluster/home/chinhli/kent/src/hg/makeDb/trackDb/cat/felCatV17e
+
 
 
 ##########################################################################
 # running repeat masker (DONE - 2010-03-05 - Chin)
@@ -561,19 +568,19 @@
     cd /hive/data/genomes/hg19/bed/lastzFelCatV17e.2010-03-22
     cat fb.hg19.chainFelCatV17eLink.txt
     #  1266003011 bases of 2897316137 (43.696%) in intersection
 
-    # Swap
+    # Swap re-run 04-07
     mkdir /hive/data/genomes/felCatV17e/bed/blastz.hg19.swap
     cd /hive/data/genomes/felCatV17e/bed/blastz.hg19.swap
     time nice -n +19 doBlastzChainNet.pl -verbose=2 \
         /hive/data/genomes/hg19/bed/lastzFelCatV17e.2010-03-22/DEF \
         -swap -syntenicNet -noDbNameCheck \
-        -workhorse=hgwdev -smallClusterHub=encodek -bigClusterHub=pk \
+        -workhorse=hgwdev -smallClusterHub=pk -bigClusterHub=swarm \
         -chainMinScore=3000 -chainLinearGap=medium > swap.log 2>&1 &
-    #   real    120m42.991s
+    #   real   200m43.245s 
     cat fb.felCatV17e.chainHg19Link.txt
-    #   2030475813 bases of 2752505800 (73.768%) in intersection
+#   1211702270 bases of 1990635005 (60.870%) in intersection
 
 
 #####################################################################
 # LASTZ Panda Swap (DONE - 2010-03-22 - Chin)
@@ -672,7 +679,42 @@
 
     # add the track ctgPos2 to src/hg/makeDb/trackDb/cat/felCatV17e/trackDb.ra
     # at src/makeDb/trackdb do "make update" or/and "make alpha"
 
+#########################################################################
+# all.joiner update, downloads and in pushQ - (DONE - 2010-04-09 Chin)
+    cd $HOME/kent/src/hg/makeDb/schema
+    # fixup all.joiner until this is a clean output
+    joinerCheck -database=felCatV17e -all all.joiner
+    
+    mkdir /hive/data/genomes/felCatV17e/goldenPath
+    cd /hive/data/genomes/felCatV17e/goldenPath
+    makeDownloads.pl felCatV17e > do.log 2>&1
+    #  vi /hive/data/genomes/felCatV17e/goldenPath/database/README.txt
+    #  vi  /hive/data/genomes/felCatV17e/goldenPath/bigZips/README.txt
+
+
+    #   now ready for pushQ entry
+    mkdir /hive/data/genomes/felCatV17e/pushQ
+    cd /hive/data/genomes/felCatV17e/pushQ
+    makePushQSql.pl felCatV17e > felCatV17e.pushQ.sql 2> stderr.out
+    #   check for errors in stderr.out, some are OK, e.g.:
+# WARNING: felCatV17e does not have seq
+# WARNING: felCatV17e does not have extFile
+# WARNING: felCatV17e does not have tableDescriptions
+
+    #   copy it to hgwbeta
+    #   use hgcat in .hg.conf.beta
+    scp -p felCatV17e.pushQ.sql hgwbeta:/tmp
+    ssh hgwbeta
+    cd /tmp
+    hgsql qapushq < felCatV17e.pushQ.sql
+    #   in that pushQ entry walk through each entry and see if the
+    #   sizes will set properly
+
+    #   reset to hguser in .hg.conf.beta
+
+
 
 ####################################################################
 
+