Index: src/hg/makeDb/doc/mm9.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/mm9.txt,v
retrieving revision 1.132
retrieving revision 1.133
diff -b -B -U 4 -r1.132 -r1.133
--- src/hg/makeDb/doc/mm9.txt	3 Apr 2010 00:19:07 -0000	1.132
+++ src/hg/makeDb/doc/mm9.txt	7 Apr 2010 17:42:44 -0000	1.133
@@ -10338,4 +10338,32 @@
     cat fb.susScr2.chainMm9Link.txt 
     #	656444411 bases of 2231298548 (29.420%) in intersection
 
 ############################################################################
+# Vega aka Havana gene update (DONE - 2010-04-07 - Hiram)
+    #	Stephen Trevanion st3 sanger ac uk
+    #	lookup version number at the Vega WEB site:
+    #	http://vega.sanger.ac.uk/index.html
+    #	and FTP site:
+    #	ftp://ftp.sanger.ac.uk/pub/vega/
+    cd /hive/data/genomes/mm9
+    #	step wise to verify operation
+    doEnsGeneUpdate.pl -vegaGene -ensVersion=38 -stop=download mm9.ensGene.ra
+    doEnsGeneUpdate.pl -vegaGene -ensVersion=38 \
+	-continue=process -stop=process mm9.ensGene.ra
+# genePredCheck -db=mm9 vegaPseudo.gp.gz
+# checked: 4377 failed: 0
+# genePredCheck -db=mm9 not.vegaPseudo.gp.gz
+# checked: 57096 failed: 0
+# genePredCheck -db=mm9 mm9.allGenes.gp.gz
+# checked: 61473 failed: 0
+    doEnsGeneUpdate.pl -vegaGene -ensVersion=38 \
+	-continue=load -stop=load mm9.ensGene.ra
+    #	"identical to previous version 37"
+    doEnsGeneUpdate.pl -vegaGene -ensVersion=38 \
+	-continue=cleanup mm9.ensGene.ra
+    featureBits mm9 vegaGene
+    # 53838752 bases of 2620346127 (2.055%) in intersection
+    featureBits mm9 vegaPseudoGene
+    # 3060300 bases of 2620346127 (0.117%) in intersection
+
+#######################################################################