Index: src/hg/makeDb/doc/mm9.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/mm9.txt,v
retrieving revision 1.133
retrieving revision 1.134
diff -b -B -U 4 -r1.133 -r1.134
--- src/hg/makeDb/doc/mm9.txt	7 Apr 2010 17:42:44 -0000	1.133
+++ src/hg/makeDb/doc/mm9.txt	12 Apr 2010 21:32:37 -0000	1.134
@@ -10365,5 +10365,54 @@
     # 53838752 bases of 2620346127 (2.055%) in intersection
     featureBits mm9 vegaPseudoGene
     # 3060300 bases of 2620346127 (0.117%) in intersection
 
+#####################################################################
+# oviAri1 Sheep BLASTZ/CHAIN/NET (DONE - 2010-04-09 - Chin)
+    screen # use a screen to manage this multi-day job
+    mkdir /hive/data/genomes/mm9/bed/lastzOviAri1.2010-04-09
+    cd /hive/data/genomes/mm9/bed/lastzOviAri1.2010-04-09
+
+    cat << '_EOF_' > DEF
+# Sheep vs. Mouse
+BLASTZ_M=50
+
+# TARGET: Mouse Mm9
+SEQ1_DIR=/scratch/data/mm9/nib
+SEQ1_LEN=/scratch/data/mm9/chrom.sizes
+SEQ1_CHUNK=10000000
+SEQ1_LAP=10000
+
+# QUERY: Sheep OviAri1
+SEQ2_DIR=/scratch/data/oviAri1/oviAri1.2bit
+SEQ2_LEN=/scratch/data/oviAri1/chrom.sizes
+SEQ2_CHUNK=10000000
+SEQ2_LAP=0
+
+BASE=/hive/data/genomes/mm9/bed/lastzOviAri1.2010-04-09
+TMPDIR=/scratch/tmp
+'_EOF_'
+    # << this line keeps emacs coloring happy
+
+    time nice -n +19 doBlastzChainNet.pl -verbose=2 \
+        `pwd`/DEF \
+        -noLoadChainSplit -syntenicNet \
+        -workhorse=hgwdev -smallClusterHub=encodek -bigClusterHub=swarm \
+        -chainMinScore=3000 -chainLinearGap=medium > do.log 2>&1 &
+    #   real    370m21.462s
+    cat fb.mm9.chainOviAri1Link.txt
+    #   406407377 bases of 2620346127 (15.510%) in intersection
+
+    #   and the swap
+    mkdir /hive/data/genomes/oviAri1/bed/blastz.mm9.swap
+    cd /hive/data/genomes/oviAri1/bed/blastz.mm9.swap
+    time nice -n +19 doBlastzChainNet.pl -verbose=2 \
+        /hive/data/genomes/mm9/bed/lastzOviAri1.2010-04-09/DEF \
+        -swap -noLoadChainSplit -syntenicNet \
+        -workhorse=hgwdev -smallClusterHub=encodek -bigClusterHub=swarm \
+        -chainMinScore=3000 -chainLinearGap=medium > swap.log 2>&1 &
+    #   real    37m25.345s
+    cat fb.oviAri1.chainMm9Link.txt 
+    #   383753361 bases of 1201271277 (31.946%) in intersection
+
+
 #######################################################################