Index: src/hg/makeDb/doc/panTro1.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/panTro1.txt,v
retrieving revision 1.8
retrieving revision 1.9
diff -b -B -U 4 -r1.8 -r1.9
--- src/hg/makeDb/doc/panTro1.txt	25 Nov 2009 21:48:41 -0000	1.8
+++ src/hg/makeDb/doc/panTro1.txt	11 Apr 2010 16:48:45 -0000	1.9
@@ -2498,4 +2498,19 @@
 |     1469 | SingleClassRangeLocType   |
 |       61 | SingleClassTriAllelic     |
 +----------+---------------------------+
 
+#######################################################################
+# xenoRefGene (2010-04-10 markd)
+# removed special-casing of Human RefSeqs
+# delete old data files
+# update genbank.conf and realign:
+
+    ssh genbank
+    cd /cluster/genbank/genbank
+    ./bin/gbAlignStep -initial panTro1
+
+    ssh hgwdev
+    cd /cluster/genbank/genbank
+    ./bin/gbDbLoadStep -drop -initialLoad panTro1
+############################################################################
+