Index: src/hg/makeDb/doc/panTro2.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/panTro2.txt,v
retrieving revision 1.18
retrieving revision 1.19
diff -b -B -U 4 -r1.18 -r1.19
--- src/hg/makeDb/doc/panTro2.txt	12 Feb 2010 23:51:36 -0000	1.18
+++ src/hg/makeDb/doc/panTro2.txt	11 Apr 2010 16:48:45 -0000	1.19
@@ -3319,5 +3319,17 @@
     cat fb.calJac3.chainHg19Link.txt 
     #	1990168262 bases of 2752505800 (72.304%) in intersection
 
 ############################################################################
+# mrna, est, refGene, xenoRefGene (2010-04-10 markd)
+# removed special-casing of including Human mRNAs, ESTs, and RefSeqs
+# delete old data files
+# to be included with chimp ones.
 
+    ssh genbank
+    cd /cluster/genbank/genbank
+    (./bin/gbAlignStep -initial panTro2 |& mail markd&)
+
+    ssh hgwdev
+    cd /cluster/genbank/genbank
+    ./bin/gbDbLoadStep -drop -initialLoad panTro2
+############################################################################