Index: src/hg/makeDb/doc/susScr2.txt
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/hg/makeDb/doc/susScr2.txt,v
retrieving revision 1.4
retrieving revision 1.5
diff -b -B -U 4 -r1.4 -r1.5
--- src/hg/makeDb/doc/susScr2.txt	1 Apr 2010 16:37:15 -0000	1.4
+++ src/hg/makeDb/doc/susScr2.txt	7 Apr 2010 17:43:30 -0000	1.5
@@ -615,4 +615,18 @@
     #	in that pushQ entry walk through each entry and see if the
     #	sizes will set properly
 
 ############################################################################
+# LIFTOVER TO SusScr2 (DONE - 2010-01-15 - Hiram )
+    mkdir /hive/data/genomes/susScr1/bed/blat.susScr2.2010-04-05
+    cd /hive/data/genomes/susScr1/bed/blat.susScr2.2010-04-05
+    # -debug run to create run dir, preview scripts...
+    doSameSpeciesLiftOver.pl -bigClusterHub=swarm -dbHost=hgwdev \
+	-workhorse=hgwdev \
+	-ooc=/hive/data/genomes/susScr1/jkStuff/susScr1.11.ooc \
+	-debug susScr1 susScr2
+    # Real run:
+    doSameSpeciesLiftOver.pl -bigClusterHub=swarm -dbHost=hgwdev \
+	-workhorse=hgwdev \
+	-ooc=/hive/data/genomes/susScr1/jkStuff/susScr1.11.ooc \
+	susScr1 susScr2 > do.log 2>&1
+#############################################################################